geos::index::quadtree Namespace Reference

Contains classes that implement a Quadtree spatial index. More...

## Classes

class | IntervalSize
| Provides a test for whether an interval is so small it should be considered as zero for the purposes of inserting it into a binary tree. More...
class | Key
| A Key is a unique identifier for a node in a quadtree. More...
class | Node
| Represents a node of a Quadtree. More...
class | NodeBase
| The base class for nodes in a Quadtree. More...
class | Quadtree
| A Quadtree is a spatial index structure for efficient querying of 2D rectangles. If other kinds of spatial objects need to be indexed they can be represented by their envelopes. More...
class | Root
| QuadRoot is the root of a single Quadtree. It is centred at the origin, and does not have a defined extent. More...

## Detailed Description

Contains classes that implement a Quadtree spatial index.